package com.buy507.mall.model;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class UmsMemberAccountTransaction implements Serializable {

    //0 未转账状态
    public static Integer TRANSACTION_STATE_NO = 0;
    //1 已转账状态
    public static Integer TRANSACTION_STATE_YES = 1;
    //1 已退款状态
    public static Integer TRANSACTION_STATE_OUT = 2;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "会员id")
    private Long memberId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "进帐金额")
    private BigDecimal revenueAmount;

    @ApiModelProperty(value = "转账状态 0 未转账，1 转账， 2 退款")
    private Integer transactionState;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "提成比例")
    private Integer commissionRatio;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "转账时间")
    private Date transferPaymentTime;

    @ApiModelProperty(value = "进账积分")
    private Integer revenuePoints;

    public Integer getFlowType() {
        return flowType;
    }

    public void setFlowType(Integer flowType) {
        this.flowType = flowType;
    }

    @ApiModelProperty(value = "流水类型")
    private Integer flowType;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMemberId() {
        return memberId;
    }

    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public BigDecimal getRevenueAmount() {
        return revenueAmount;
    }

    public void setRevenueAmount(BigDecimal revenueAmount) {
        this.revenueAmount = revenueAmount;
    }

    public Integer getTransactionState() {
        return transactionState;
    }

    public void setTransactionState(Integer transactionState) {
        this.transactionState = transactionState;
    }

    public Integer getRevenuePoints() {
        return revenuePoints;
    }

    public void setRevenuePoints(Integer revenuePoints) {
        this.revenuePoints = revenuePoints;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Integer getCommissionRatio() {
        return commissionRatio;
    }

    public void setCommissionRatio(Integer commissionRatio) {
        this.commissionRatio = commissionRatio;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getTransferPaymentTime() {
        return transferPaymentTime;
    }

    public void setTransferPaymentTime(Date transferPaymentTime) {
        this.transferPaymentTime = transferPaymentTime;
    }

    @Override
    public String toString() {
        return "UmsMemberAccountTransaction{" +
                "id=" + id +
                ", memberId=" + memberId +
                ", orderId=" + orderId +
                ", revenueAmount=" + revenueAmount +
                ", transactionState=" + transactionState +
                ", remarks='" + remarks + '\'' +
                ", commissionRatio=" + commissionRatio +
                ", createTime=" + createTime +
                ", transferPaymentTime=" + transferPaymentTime +
                ", revenuePoints=" + revenuePoints +
                ", flowType=" + flowType +
                '}';
    }
}